Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160866 - during custom package selection, selections not always honored (or ignored)
Summary: during custom package selection, selections not always honored (or ignored)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 21:08 UTC by John William
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-28 19:39:37 UTC


Attachments (Terms of Use)
install.log file (deleted)
2005-06-21 01:30 UTC, John William
no flags Details
anaconda.log file (deleted)
2005-06-21 01:31 UTC, John William
no flags Details
anaconda.syslog file (deleted)
2005-06-21 01:32 UTC, John William
no flags Details

Description John William 2005-06-17 21:08:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
When performing a custom package install (clean install) some of the package selections seem to get "lost" or "ignored". Two machines seemed to have problems with ignored the de-select of vi and selection of emacs. I can understand packages being re-selected for install to satisfy some dependency, but I cannot see a reason why a package would not be installed after being selected (emacs).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Perform install, select custom to manually select packages.
2. After installation, carefully compare packages actually installed to packages selected during install process.


Actual Results:  The two lists are different, with the most troubling differences being that some packages selected to be installed were not.

Expected Results:  Packages selected (or de-selected) should be honored. In particular, if there is a good reason why a package cannot be installed then inform the user, but I thought the installer just added packages to satisfy dependencies.

Additional info:

Marking priority as low as it's annoying, but the packages can then be added/removed once the system is running. Fortunately, I have not seen this problem effect any critical packages.

Comment 1 Paul Nasrat 2005-06-19 22:51:16 UTC
Could you attach the /root/install.log, /var/log/anaconda.log and
/var/log/anaconda.syslog and the actual packages you selected of an affected system.

Comment 2 John William 2005-06-21 01:30:50 UTC
Created attachment 115726 [details]
install.log file

Comment 3 John William 2005-06-21 01:31:28 UTC
Created attachment 115727 [details]
anaconda.log file

Comment 4 John William 2005-06-21 01:32:08 UTC
Created attachment 115728 [details]
anaconda.syslog file

Comment 5 John William 2005-06-21 03:54:15 UTC
I spent a fair amount of time selecting (and de-selecting) packages for this 
particular machine's install so I can't give a detailed add-and-removed list, 
but I specifically selected emacs (under Editors) as one of the last things 
before proceeding with the installation. That's how I noticed the problem to 
begin with.

Comment 6 Paul Nasrat 2005-11-28 19:39:37 UTC
Package selection is being completely redone for FC5.  Closing this bug out as
we won't be using the code paths which would have hit this.


Note You need to log in before you can comment on or make changes to this bug.